Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000834Core InformPhrases and functional programmingpublic2012-01-07 09:332014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000834: ``Before'' or ``after'' in unrecognized case triggers internal error
DescriptionThe attached source provokes

- - - -
Problem. An internal error has occurred: no such kind in printing-routine. The current sentence is '-- foo after bar' ; the error was detected at line 1741 of "Chapter 22/Compile Invocations.w". This should never happen, and I am now halting in abject failure.
- - - -
Minimal Source Text To Reproduce
There is a room.
When play begins:
	if the player is:
		-- foo after bar:
			do nothing.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0002006)
EmacsUser (manager)
2013-04-06 18:54

Another case, for which it's unclear whether the underlying cause is the same:

- - - -
There is a room.
A person has a relation of rooms to numbers called the priority.
When play begins:
    now the priority of yourself relates the location to a random number from one to seven.
- - - -
(0002251)
graham (administrator)
2014-01-05 10:45

Fixed. This could only happen in surprisingly rare circumstances, but it basically came down to the fact that case values weren't being fully typechecked, so that a lexical match on the phrase "K after V" was being made even though K and V made no sense. This is all now properly reported.

- Issue History
Date Modified Username Field Change
2012-01-07 09:33 EmacsUser New Issue
2012-06-20 08:27 curiousdannii Status new => confirmed
2013-04-06 18:54 EmacsUser Note Added: 0002006
2014-01-05 10:45 graham Note Added: 0002251
2014-01-05 10:45 graham Status confirmed => resolved
2014-01-05 10:45 graham Resolution open => fixed
2014-01-05 10:45 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker